Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps.describeprocess
Class DescribeProcessRequest

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wps.WPSRequestBaseType
              org.deegree.ogcwebservices.wps.describeprocess.DescribeProcessRequest

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class DescribeProcessRequest

extends WPSRequestBaseType

DescribeProcessRequest.java Created on 09.03.2006. 22:33:16h WPS DescribeProcess operation request.

Version:
  $Revision: 18195 $, $Date:20.03.2007$
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author:wanhoff$
See Also:
  Serialized Form

Field Summary
`protected List<Code>` | `identifier` Unordered list of one or more identifiers of the processes for which the client is requesting detailed descriptions.

Fields inherited from class org.deegree.ogcwebservices.wps.WPSRequestBaseType
`service, supportedVersion`

Constructor Summary
`DescribeProcessRequest(String version, String id, Map<String,String> vendorSpecificParameter, List<Code> identifier)`

Method Summary
`static DescribeProcessRequest` | `create(Map<String,String> request)`
`static DescribeProcessRequest` | `create(String id, Element element)` XML-coded decribe process request currently not supported.
`static DescribeProcessRequest` | `create(String id, String request)` Creates a WPSDescribeProcess Request class representation from a key/value pair encoded request
`List<Code>` | `getIdentifier()`

Methods inherited from class org.deegree.ogcwebservices.wps.WPSRequestBaseType
`extractVersionParameter, getServiceName, getVersion`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    protected List<Code> identifier

  Unordered list of one or more identifiers of the processes for which the client is requesting detailed descriptions. This element shall be repeated for each process for which a description is requested. These Identifiers are unordered, but the WPS shall return the descriptions in the order in which they were requested.

Constructor Detail

### DescribeProcessRequest

    public DescribeProcessRequest(String version,
                                  String id,
                                  Map<String,String> vendorSpecificParameter,
                                  List<Code> identifier)

Parameters:
  `version` -
  `id` -
  `vendorSpecificParameter` -
  `identifier` -

Method Detail

### getIdentifier

    public List<Code> getIdentifier()

  Returns:
    Returns the identifier.

### create

    public static DescribeProcessRequest create(String id,
                                                String request)
                                         throws InvalidParameterValueException,
                                                MissingParameterValueException

  Creates a WPSDescribeProcess Request class representation from a key/value pair encoded request

  Parameters:
    `id` -
    `request` -
  Returns:
    the bean created from the request.
  Throws:
    `InvalidParameterValueException`
    `MissingParameterValueException`

### create

    public static DescribeProcessRequest create(Map<String,String> request)
                                         throws InvalidParameterValueException,
                                                MissingParameterValueException

  Parameters:
    `request` -
  Returns:
    the bean created from the given kvp
  Throws:
    `InvalidParameterValueException`
    `MissingParameterValueException`

### create

    public static DescribeProcessRequest create(String id,
                                                Element element)
                                         throws OGCWebServiceException

  XML-coded decribe process request currently not supported. This is not a mandatory operation.

  Parameters:
    `id` -
    `element` -
  Returns:
    the bean created from the xml node
  Throws:
    `OGCWebServiceException`
    `MissingParameterValueException`
    `InvalidParameterValueException`
  See Also:
    "OGC 05-007r4 Subclause 9.2.3"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org